<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>
    <table border="1" width="900" height="600">
        <tr>
            <td><input type="checkbox" name="ch" id="checkAllBtn">全选</td>
            <td>商品图片</td>
            <td>商品名称</td>
            <td>价格</td>
        </tr>
        <tr>
            <td><input type="checkbox" name="ch"></td>
            <td><img src="pic4.jpg" height="200px"></td>
            <td>000</td>
            <td>000/td>
        </tr>
        <tr>
            <td><input type="checkbox" name="ch"></td>
            <td><img src="pic4.jpg" height="200px"></td>
            <td>000</td>
            <td>000/td>
        </tr>
        <tr>
            <td><input type="checkbox" name="ch"></td>
            <td><img src="pic4.jpg" height="200px"> </td>
            <td>000</td>
            <td>000</td>
        </tr>
    </table>
    <script>
        var oCheckAllBtn = document.getElementById("checkAllBtn");
        var oChs = document.getElementById("ch");
        oCheckAllBtn.onclick = function () {
            if(oCheckAllBtn.checked){
                for (var i=0;i<oChs.length;i++){
                    oChs[i].checked = true;
                }
            }
            else {
                for (var i=0;i<oChs.length;i++){
                    oChs[i].checked = false;
                }
            }
        }
    </script>
</body>
</html>